/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-07
 * 描述            ：供应商资质表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Supp.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Supp.mapper.PurSuppAptitudeMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_SUPP_APTITUDE", namespace=PurSuppAptitudeMapper.class)
public class PurSuppAptitude extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4596730575537024503L;
	/** 
	 * 供应商代码
	 */ 
	@Column
	private String supp_code;
	public String getSupp_code() {
		return this.supp_code;
	}
	public void setSupp_code(String supp_code) {
		this.supp_code = supp_code;
	}

	/** 
	 * 供应商名称
	 */ 
	@Column
	private String supp_name;
	public String getSupp_name() {
		return this.supp_name;
	}
	public void setSupp_name(String supp_name) {
		this.supp_name = supp_name;
	}

	/** 
	 * 供应商中文简称
	 */ 
	@Column
	private String supp_short_name;
	public String getSupp_short_name() {
		return this.supp_short_name;
	}
	public void setSupp_short_name(String supp_short_name) {
		this.supp_short_name = supp_short_name;
	}

	/** 
	 * 证书发放机构
	 */ 
	@Column
	private String certi_officer;
	public String getCerti_officer() {
		return this.certi_officer;
	}
	public void setCerti_officer(String certi_officer) {
		this.certi_officer = certi_officer;
	}

	/** 
	 * 证书编号(资质代码)
	 */ 
	@Column
	private String cert_no;
	public String getCert_no() {
		return this.cert_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	/** 
	 * 证书描述(资质证书)
	 */ 
	@Column
	private String cert_desc;
	public String getCert_desc() {
		return this.cert_desc;
	}
	public void setCert_desc(String cert_desc) {
		this.cert_desc = cert_desc;
	}

	/** 
	 * 版本号
	 */ 
	@Column
	private String cert_no_v;
	public String getCert_no_v() {
		return this.cert_no_v;
	}
	public void setCert_no_v(String cert_no_v) {
		this.cert_no_v = cert_no_v;
	}

	/** 
	 * 证书类型
	 */ 
	@Column
	private String cert_type;
	public String getCert_type() {
		return this.cert_type;
	}
	public void setCert_type(String cert_type) {
		this.cert_type = cert_type;
	}

	/** 
	 * 证书强制类型
	 */ 
	@Column
	private String certi_constraint;
	public String getCerti_constraint() {
		return this.certi_constraint;
	}
	public void setCerti_constraint(String certi_constraint) {
		this.certi_constraint = certi_constraint;
	}

	/** 
	 * 证书有效期-结束
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date cert_valid_end;
	public Date getCert_valid_end() {
		return this.cert_valid_end;
	}
	public void setCert_valid_end(Date cert_valid_end) {
		this.cert_valid_end = cert_valid_end;
	}

	/** 
	 * 证书有效期-开始
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date cert_valid_start;
	public Date getCert_valid_start() {
		return this.cert_valid_start;
	}
	public void setCert_valid_start(Date cert_valid_start) {
		this.cert_valid_start = cert_valid_start;
	}

	/** 
	 * 证书存储路径
	 */ 
	@Column
	private String cert_path;
	public String getCert_path() {
		return this.cert_path;
	}
	public void setCert_path(String cert_path) {
		this.cert_path = cert_path;
	}

	/** 
	 * 数据状态（有效、无效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

}
